% autor: kaneda
% grafic practica 6
% titol: valors de x^2 + y^2 en funcio de 2y

\documentclass{standalone}

\usepackage{pgfplots}
\usepackage{pgfplotstable}
\pgfplotsset{compat = newest}

\begin{document}

\begin{tikzpicture}
\begin{axis}[
    width = \textwidth,
    height = \textwidth,
    xlabel={\Large $2y$ (m)},
    ylabel={\Large $x^2+y^2$ (m$^2$)},
    scaled y ticks = base 10:2,
    scaled x ticks = base 10:2,
    legend cell align = {left},
    legend pos=north west
 ]

% plot data
\addplot[
    teal,
    only marks,
    mark size = 0.5mm,
    error bars,
    y dir=both,
    x dir=both,
    y explicit,
    x explicit,
] table[x=2y, y=x2y2, y error=error1, x error=error2] {100ma.dat};

\addplot[
    green!50!gray,
    only marks,
    mark size = 0.5mm,
    error bars,
    y dir=both,
    x dir=both,
    y explicit,
    x explicit,
] table[x=2y, y=x2y2, y error=error1, x error=error2]{200ma.dat};

\addplot[
    brown,
    only marks,
    mark size = 0.5mm,
    error bars,
    y dir=both,
    x dir=both,
    y explicit,
    x explicit
] table[x=2y, y=x2y2, y error=error1, x error=error2]{300ma.dat};

\addplot[
    orange,
    only marks,
    mark size = 0.5mm,
    error bars,
    y dir=both,
    x dir=both,
    y explicit,
    x explicit
] table[x=2y, y=x2y2, y error=error1, x error=error2] {400ma.dat};

\addplot[
    cyan!50!gray,
    only marks,
    mark size = 0.5mm,
    error bars,
    y dir=both,
    x dir=both,
    y explicit,
    x explicit
] table[x=2y, y=x2y2, y error=error1, x error=error2] {500ma.dat};

\addplot[
    red!70!gray,
    only marks,
    mark size = 0.5mm,
    error bars,
    y dir=both,
    x dir=both,
    y explicit,
    x explicit
] table[x=2y, y=x2y2, y error=error1, x error=error2] {600ma.dat};

\addplot[
    gray,
    only marks,
    mark size = 0.5mm,
    error bars,
    y dir=both,
    x dir=both,
    y explicit,
    x explicit
] table[x=2y, y=x2y2, y error=error1, x error=error2] {700ma.dat};

\addplot[
    magenta,
    only marks,
    mark size = 0.5mm,
    error bars,
    y dir=both,
    x dir=both,
    y explicit,
    x explicit
] table[x=2y, y=x2y2, y error=error1, x error=error2] {800ma.dat};

% linear regressions
\addplot[
    teal!50
] table[
    x = 2y,
    y = {create col/linear regression={y=x2y2}}
] {100ma.dat};

\addplot[
    green!50!gray!50
] table[
    x = 2y,
    y = {create col/linear regression={y=x2y2}}
] {200ma.dat};

\addplot[
    brown
] table[
    x = 2y,
    y = {create col/linear regression={y=x2y2}}
] {300ma.dat};

\addplot[
    orange
] table[
    x = 2y,
    y = {create col/linear regression={y=x2y2}}
] {400ma.dat};

\addplot[
    cyan!50!gray!50
] table[
    x = 2y,
    y = {create col/linear regression={y=x2y2}}
] {500ma.dat};

\addplot[
    red!50
] table[
    x = 2y,
    y = {create col/linear regression={y=x2y2}}
] {600ma.dat};

\addplot[
    gray!50
] table[
    x = 2y,
    y = {create col/linear regression={y=x2y2}}
] {700ma.dat};

\addplot[
    magenta!50
] table[
    x = 2y,
    y = {create col/linear regression={y=x2y2}}
] {800ma.dat};

% add legend
\addlegendentry{\Large $100$ mA}
\addlegendentry{\Large $200$ mA}
\addlegendentry{\Large $300$ mA}
\addlegendentry{\Large $400$ mA}
\addlegendentry{\Large $500$ mA}
\addlegendentry{\Large $600$ mA}
\addlegendentry{\Large $700$ mA}
\addlegendentry{\Large $800$ mA};

\end{axis}
\end{tikzpicture}

\end{document}
